curl --request GET \
--url https://api.portkey.ai/v1/responses/{response_id} \
--header 'x-portkey-api-key: <api-key>'{
"metadata": {},
"temperature": 1,
"top_p": 1,
"model": "gpt-4o",
"instructions": "<string>",
"tools": [
{
"vector_store_ids": [
"<string>"
],
"max_num_results": 123,
"filters": {
"type": "eq",
"key": "<string>",
"value": "<string>"
},
"ranking_options": {
"ranker": "auto",
"score_threshold": 0
}
}
],
"id": "<string>",
"created_at": 123,
"error": {
"message": "<string>"
},
"incomplete_details": {},
"output": [
{
"id": "<string>",
"content": [
{
"text": "<string>",
"annotations": [
{
"index": 123,
"file_id": "<string>"
}
]
}
]
}
],
"parallel_tool_calls": true,
"user": "user-1234",
"previous_response_id": "<string>",
"reasoning": {
"effort": "medium"
},
"max_output_tokens": 123,
"text": {
"format": {}
},
"truncation": "disabled",
"output_text": "<string>",
"usage": {
"input_tokens": 123,
"input_tokens_details": {
"cached_tokens": 123
},
"output_tokens": 123,
"output_tokens_details": {
"reasoning_tokens": 123
},
"total_tokens": 123
}
}Get a Response
curl --request GET \
--url https://api.portkey.ai/v1/responses/{response_id} \
--header 'x-portkey-api-key: <api-key>'{
"metadata": {},
"temperature": 1,
"top_p": 1,
"model": "gpt-4o",
"instructions": "<string>",
"tools": [
{
"vector_store_ids": [
"<string>"
],
"max_num_results": 123,
"filters": {
"type": "eq",
"key": "<string>",
"value": "<string>"
},
"ranking_options": {
"ranker": "auto",
"score_threshold": 0
}
}
],
"id": "<string>",
"created_at": 123,
"error": {
"message": "<string>"
},
"incomplete_details": {},
"output": [
{
"id": "<string>",
"content": [
{
"text": "<string>",
"annotations": [
{
"index": 123,
"file_id": "<string>"
}
]
}
]
}
],
"parallel_tool_calls": true,
"user": "user-1234",
"previous_response_id": "<string>",
"reasoning": {
"effort": "medium"
},
"max_output_tokens": 123,
"text": {
"format": {}
},
"truncation": "disabled",
"output_text": "<string>",
"usage": {
"input_tokens": 123,
"input_tokens_details": {
"cached_tokens": 123
},
"output_tokens": 123,
"output_tokens_details": {
"reasoning_tokens": 123
},
"total_tokens": 123
}
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The ID of the response to retrieve.
"resp_677efb5139a88190b512bc3fef8e535d"
Query Parameters
Specify additional output data to include in the response. Currently supported values are:
file_search_call.results: Include the search results of the file search tool call.message.input_image.image_url: Include image urls from the input message.computer_call_output.output.image_url: Include image urls from the computer call output.
Specify additional output data to include in the model response. Currently supported values are:
file_search_call.results: Include the search results of the file search tool call.message.input_image.image_url: Include image urls from the input message.computer_call_output.output.image_url: Include image urls from the computer call output.
file_search_call.results, message.input_image.image_url, computer_call_output.output.image_url Response
OK
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Show child attributes
Show child attributes
What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.
We generally recommend altering this or top_p but not both.
0 <= x <= 21
An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.
We generally recommend altering this or temperature but not both.
0 <= x <= 11
Model ID used to generate the response, like gpt-4o or o1. OpenAI
offers a wide range of models with different capabilities, performance
characteristics, and price points. Refer to the model guide
to browse and compare available models.
o1-pro, o1-pro-2025-03-19, computer-use-preview, computer-use-preview-2025-03-11 "gpt-4o"
Inserts a system (or developer) message as the first item in the model's context.
When using along with previous_response_id, the instructions from a previous
response will be not be carried over to the next response. This makes it simple
to swap out system (or developer) messages in new responses.
An array of tools the model may call while generating a response. You
can specify which tool to use by setting the tool_choice parameter.
The two categories of tools you can provide the model are:
- Built-in tools: Tools that are provided by OpenAI that extend the model's capabilities, like web search or file search. Learn more about built-in tools.
- Function calls (custom tools): Functions that are defined by you, enabling the model to call your own code. Learn more about function calling.
A tool that searches for relevant content from uploaded files. Learn more about the file search tool.
- File search
- Function
- Computer use
- Web search
Show child attributes
Show child attributes
How the model should select which tool (or tools) to use when generating
a response. See the tools parameter to see how to specify which tools
the model can call.
none, auto, required Unique identifier for this Response.
The object type of this resource - always set to response.
response Unix timestamp (in seconds) of when this Response was created.
An error object returned when the model fails to generate a Response.
Show child attributes
Show child attributes
Details about why the response is incomplete.
Show child attributes
Show child attributes
An array of content items generated by the model.
- The length and order of items in the
outputarray is dependent on the model's response. - Rather than accessing the first item in the
outputarray and assuming it's anassistantmessage with the content generated by the model, you might consider using theoutput_textproperty where supported in SDKs.
An output message from the model.
- Output message
- File search tool call
- Function tool call
- Web search tool call
- Computer tool call
- Reasoning
Show child attributes
Show child attributes
Whether to allow the model to run tool calls in parallel.
A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.
"user-1234"
The unique ID of the previous response to the model. Use this to create multi-turn conversations. Learn more about conversation state.
o-series models only
Configuration options for reasoning models.
Show child attributes
Show child attributes
An upper bound for the number of tokens that can be generated for a response, including visible output tokens and reasoning tokens.
Configuration options for a text response from the model. Can be plain text or structured JSON data. Learn more:
Show child attributes
Show child attributes
The truncation strategy to use for the model response.
auto: If the context of this response and previous ones exceeds the model's context window size, the model will truncate the response to fit the context window by dropping input items in the middle of the conversation.disabled(default): If a model response will exceed the context window size for a model, the request will fail with a 400 error.
auto, disabled The status of the response generation. One of completed, failed,
in_progress, or incomplete.
completed, failed, in_progress, incomplete SDK-only convenience property that contains the aggregated text output
from all output_text items in the output array, if any are present.
Supported in the Python and JavaScript SDKs.
Represents token usage details including input tokens, output tokens, a breakdown of output tokens, and the total tokens used.
Show child attributes
Show child attributes
Was this page helpful?

